package com.hotent.baseInfo.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.hotent.base.entity.BaseModel;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonProperty;
/**
 * 监审文书模板表
 *
 * @company 山西清众科技股份有限公司
 * @author 超级管理员
 * @since 2025-09-17
 */
@ApiModel(value="CostDocumentTemplate对象", description="监审文书模板表")
public class CostDocumentTemplate extends BaseModel<CostDocumentTemplate> {

    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "主键ID")
    @TableId(value = "id", type = IdType.AUTO)
    @JsonProperty("id")
    private Long id;
    
    @ApiModelProperty(value = "监审文书名称")
    @TableField("document_name")
    @JsonProperty(value = "documentName",required = true)
    private String documentName;
    
    @ApiModelProperty(value = "别名",required = true)
    @TableField("alias")
    @JsonProperty("alias")
    private String alias;
    
    @ApiModelProperty(value = "类型（通用版/太原定制等）",required = true)
    @TableField("type")
    @JsonProperty("type")
    private String type;
    
    @ApiModelProperty(value = "数据来源类型database_table-数据库表, sql-SQL",required = true)
    @TableField("data_source_type")
    @JsonProperty("dataSourceType")
    private String dataSourceType;

    @ApiModelProperty(value = "上传文件路径")
    @TableField("file_url")
    @JsonProperty("fileUrl")
    private String fileUrl;
    
    @ApiModelProperty(value = "版本明细")
    @TableField("version_details")
    @JsonProperty("versionDetails")
    private String versionDetails;
    
    @ApiModelProperty(value = "说明")
    @TableField("description")
    @JsonProperty("description")
    private String description;
    
    @ApiModelProperty(value = "启用状态：1启用 0停用",required = true)
    @TableField("status")
    @JsonProperty("status")
    private String status;
    
    @ApiModelProperty(value = "逻辑删除：0正常 1已删除")
    @TableField("is_deleted")
    @JsonProperty("isDeleted")
    private String isDeleted;

    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    @JsonProperty("createTime")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "创建人")
    @TableField(value = "create_by", fill = FieldFill.INSERT)
    @JsonProperty("createBy")
    private String createBy;

    public String getFileUrl() {
        return fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    @ApiModelProperty(value = "更新时间")
    @TableField(value = "update_time", fill = FieldFill.INSERT_UPDATE)
    @JsonProperty("updateTime")
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "更新人")
    @TableField(value = "update_by", fill = FieldFill.INSERT_UPDATE)
    @JsonProperty("updateBy")
    private String updateBy;

    @ApiModelProperty(value = "文书类型")
    @TableField(value = "document_type")
    @JsonProperty("documentType")
    private String documentType;

    @ApiModelProperty(value = "文书类型名称")
    @TableField(value = "document_type_name")
    @JsonProperty("documentTypeName")
    private String documentTypeName;
    
    @ApiModelProperty(value = "数据来源表id")
    @TableField("table_id")
    @JsonProperty("tableId")
    private Long tableId;

    @ApiModelProperty(value = "是否文号 0是 1否",required = true)
    @TableField("is_wh")
    @JsonProperty("isWh")
    private String isWh;


    @ApiModelProperty(value = "数据库表")
    @TableField(exist = false)
    private String surveyTemplateName;


    public String getSurveyTemplateName() {
        return surveyTemplateName;
    }

    public void setSurveyTemplateName(String surveyTemplateName) {
        this.surveyTemplateName = surveyTemplateName;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getIsWh() {
        return isWh;
    }

    public void setIsWh(String isWh) {
        this.isWh = isWh;
    }


    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }

    public String getDocumentTypeName() {
        return documentTypeName;
    }

    public void setDocumentTypeName(String documentTypeName) {
        this.documentTypeName = documentTypeName;
    }


    public String getDocumentType() {
        return documentType;
    }

    public void setDocumentType(String documentType) {
        this.documentType = documentType;
    }

    public String getDocumentName() {
        return documentName;
    }

    public void setDocumentName(String documentName) {
        this.documentName = documentName;
    }
    public String getAlias() {
        return alias;
    }

    public void setAlias(String alias) {
        this.alias = alias;
    }
    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }
    public String getDataSourceType() {
        return dataSourceType;
    }

    public void setDataSourceType(String dataSourceType) {
        this.dataSourceType = dataSourceType;
    }
    public String getVersionDetails() {
        return versionDetails;
    }

    public void setVersionDetails(String versionDetails) {
        this.versionDetails = versionDetails;
    }
    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }
    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }
    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }
    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }
    public Long getTableId() {
        return tableId;
    }

    public void setTableId(Long tableId) {
        this.tableId = tableId;
    }


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "CostDocumentTemplate{" +
            "id=" + id +
            ", documentName=" + documentName +
            ", alias=" + alias +
            ", type=" + type +
            ", dataSourceType=" + dataSourceType +
            ", versionDetails=" + versionDetails +
            ", description=" + description +
            ", status=" + status +
            ", isDeleted=" + isDeleted +
            ", createTime=" + createTime +
            ", createBy=" + createBy +
            ", updateTime=" + updateTime +
            ", updateBy=" + updateBy +
            ", tableId=" + tableId +
        "}";
    }
}
